net.sf.jasperreports.engine.fill

## Class JRTemplatePrintLine

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRTemplatePrintElement
  - - net.sf.jasperreports.engine.fill.JRTemplatePrintGraphicElement
    - - net.sf.jasperreports.engine.fill.JRTemplatePrintLine

- All Implemented Interfaces:
    java.io.Serializable, JRCommonElement, JRCommonGraphicElement, JRIdentifiable, JRPenContainer, JRPrintElement, JRPrintGraphicElement, JRPrintLine, JRPropertiesHolder, JRStyleContainer, VirtualizationSerializable

      public class JRTemplatePrintLine
      extends JRTemplatePrintGraphicElement
      implements JRPrintLine

  Implementation of `JRPrintLine` that uses a `JRTemplateLine` instance to store common attributes.
  Version:
    $Id: JRTemplatePrintLine.java 6770 2013-11-22 14:48:55Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement

      `template`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRTemplatePrintLine()`
    `JRTemplatePrintLine(JRTemplateLine line)` Deprecated. provide a source Id via `JRTemplatePrintLine(JRTemplateLine, int)`
    `JRTemplatePrintLine(JRTemplateLine line, int sourceElementId)` Deprecated. replaced by `JRTemplatePrintLine(JRTemplateLine, PrintElementOriginator)`
    `JRTemplatePrintLine(JRTemplateLine line, PrintElementOriginator originator)` Creates a print line element.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> void` | `accept(PrintElementVisitor<T> visitor, T arg)` Accepts a print element visitor.
    `LineDirectionEnum` | `getDirectionValue()` Gets the line direction.
    `void` | `setDirection(LineDirectionEnum direction)` Sets the line direction.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintGraphicElement

      `getDefaultLineColor, getDefaultLineWidth, getFillValue, getLinePen, getOwnFillValue, setFill`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplatePrintElement

      `getBackcolor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPrintElementId, getPropertiesMap, getSourceElementId, getStyle, getStyleNameReference, getTemplate, getUUID, getWidth, getX, getY, hasProperties, readVirtualized, setBackcolor, setForecolor, setHeight, setMode, setSourceElementId, setStyle, setTemplate, setUUID, setWidth, setX, setY, updateElementTemplate, writeVirtualized`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintGraphicElement

      `setFill`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement

      `getFillValue, getLinePen, getOwnFillValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Constructor Detail

    - #### JRTemplatePrintLine

          public JRTemplatePrintLine()

    - #### JRTemplatePrintLine

          public JRTemplatePrintLine(JRTemplateLine line)

      Deprecated. provide a source Id via `JRTemplatePrintLine(JRTemplateLine, int)`
      Creates a print line element.
      Parameters:
        `line` - the template line that the element will use

    - #### JRTemplatePrintLine

          public JRTemplatePrintLine(JRTemplateLine line,
                             int sourceElementId)

      Deprecated. replaced by `JRTemplatePrintLine(JRTemplateLine, PrintElementOriginator)`
      Creates a print line element.
      Parameters:
        `line` - the template line that the element will use
        `sourceElementId` - the Id of the source element

    - #### JRTemplatePrintLine

          public JRTemplatePrintLine(JRTemplateLine line,
                             PrintElementOriginator originator)

      Creates a print line element.
      Parameters:
        `line` - the template line that the element will use
        `originator` -

  - ### Method Detail

    - #### getDirectionValue

          public LineDirectionEnum getDirectionValue()

      Description copied from interface: `JRPrintLine`
      Gets the line direction.
      Specified by:
        `getDirectionValue` in interface `JRPrintLine`
      Returns:
        a value representing one of the line direction constants in `LineDirectionEnum`

    - #### setDirection

          public void setDirection(LineDirectionEnum direction)

      Description copied from interface: `JRPrintLine`
      Sets the line direction.
      Specified by:
        `setDirection` in interface `JRPrintLine`
      Parameters:
        `direction` - a value representing one of the line direction constants in `LineDirectionEnum`

    - #### accept

          public <T> void accept(PrintElementVisitor<T> visitor,
                        T arg)

      Description copied from interface: `JRPrintElement`
      Accepts a print element visitor.

      The element calls the method that corresponds to the element type on the visitor.

      Specified by:
        `accept` in interface `JRPrintElement`
      Overrides:
        `accept` in class `JRTemplatePrintElement`
      Type Parameters:
        `T` - the type of the argument passed to the visit operation
      Parameters:
        `visitor` - the visitor objects
        `arg` - the argument passed to the visit operation

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com